Service (Apache CXF JavaDoc 4.2.1 API)
Description: declaration: package: org.apache.cxf.service, interface: Service

Package org.apache.cxf.service

# Interface Service

All Superinterfaces:
  `InterceptorProvider`, `Map<String,Object>`

All Known Implementing Classes:
  `ServiceImpl`

public interface Service extends Map<String,Object>, InterceptorProvider

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataBinding`
  `getDataBinding()`
  `EndpointInfo`
  `getEndpointInfo(QName endpoint)`
  `Map<QName,Endpoint>`
  `getEndpoints()`
  `Executor`
  `getExecutor()`
  `Invoker`
  `getInvoker()`
  `QName`
  `getName()`
  `List<ServiceInfo>`
  `getServiceInfos()`
  `void`
  `setDataBinding(DataBinding dataBinding)`
  `void`
  `setExecutor(Executor executor)`
  `void`
  `setInvoker(Invoker invoker)`

  ### Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider

  `getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

  ### Methods inherited from interface java.util.Map

  `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

- ## Method Details

  - ### getName

    QName getName()

  - ### getServiceInfos

    List<ServiceInfo> getServiceInfos()

  - ### getEndpointInfo

    EndpointInfo getEndpointInfo(QName endpoint)

  - ### getDataBinding

    DataBinding getDataBinding()

  - ### setDataBinding

    void setDataBinding(DataBinding dataBinding)

  - ### getExecutor

    Executor getExecutor()

  - ### setExecutor

    void setExecutor(Executor executor)

  - ### getInvoker

    Invoker getInvoker()

  - ### setInvoker

    void setInvoker(Invoker invoker)

  - ### getEndpoints

    Map<QName,Endpoint> getEndpoints()